[1] 2 3 ... 5 >>> MLD-5.x / General / MLD 5.4 RPI3 TSOP IR Emfänger
 

Offline Poseidon

  • Newbie
  • *
  • Posts: 4
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« on: April 28, 2018, 14:40:41 »
Hallo Zusammen,

erst einmal vielen Dank für das tolle System.
Es erfüllt fast alle erdenklichen Funktionen die man braucht.

Leider habe ich ein Problem den IR Empfänger am RPI3 unter MLD 5.4 ans Laufen zu bekommen.
Benutze einen TSOP Empfänger und unter MLD 5.3 und MLD 5.1 funktionert auch alles.

Leider versuche ich nun seit zwei Tagen, es auch unter MLD 5.4 ans Laufen zu bekommen.
Habe als Lirc Treiber "rpi on Gpio" ausgewählt.

Könnt Ihr mir sagen was ich falsch mache?
Der Unterscheid zu MLD 5.1 und 5.3 ist, das die Module lirc_rpi und lirc_dev nicht geladen werden.

Folgend der Log-File code und die System Informationen:

WhrmnB

System
Name:    MLD
Version:    5.4
Systemarchitektur:    armhf armhf-rpi2
Paket Kategorie:    testing
Paket    Version
alsa    1.1.3-42.21+4.16.2.199.81
appstarter    0-8.8
apt    1.4.8-70.12
at    3.1.20-9
backup    1-32.2
base    0-102.5
binutils    2.28-~1
btrfs    4.7.3-114.9+4.16.2.199.81
busybox    1:1.25.1-53.4
debug    0-2.10
dpkg    1.18.24-18
eventlircd    1:2016.03.15-37.1+4.16.2.199.81
font-config    0-5
hid    0-3+4.16.2.199.81
init    0-105.4
initramfs    2018.04.24-111.8
install    0-144.47
irkeytable    1.12.3-12.5
kernel    4.16.2.199.81-199.83
ldconfig    2.24-12
lirc    2:0.9.4-82.5
locales    0-25.4
mergerfs    1:2.18.0-11.11
mld-remote    0-42.2
network    0-76.4+4.16.2.199.81
network-wireless    0-51.2
network-wireless-rpi3    0-1+4.16.2.199.81
nfs-client    0-24.4
nfs-common    0-5
pam    1.1.8-5
psplash    2009.05.28-22
rc-core    0-15.1+4.16.2.199.81
rpi    0-42.4
rpi-firmware    2018.04.23-3
ssh    2016.74-15.2
udev    232-47.1
vdr    2.4.0.214.72-214.72
vdr-plugin-cecremote    1.4.0-15.4+2.4.0.214.72
vdr-plugin-epgsync    1.0.1-13.3+2.4.0.214.72
vdr-plugin-menuorg    2018.02.27-5+2.4.0.214.72
vdr-plugin-remoteosd    1.0.0-7.3+2.4.0.214.72
vdr-plugin-rpihddevice    1:2017.04.24-40.5+2.4.0.214.72
vdr-plugin-streamdev-client    2017.09.30-27.9+2.4.0.214.72
vdr-plugin-suspendoutput    2.1.0-9.2+2.4.0.214.72
vdr-plugin-svdrpservice    1.0.0-7+2.4.0.214.72
vfat    0-1
webif    0-2.37
webserver    0-244.9
xfs    0-5
zlib1g    1.2.8-~1

Module

Module                  Size  Used by    Tainted: G 
brcmfmac              303104  0
cfg80211              581632  1 brcmfmac
snd_soc_bcm2835_i2s    16384  0
rfkill                 28672  1 cfg80211
snd_soc_core          204800  1 snd_soc_bcm2835_i2s
brcmutil               16384  1 brcmfmac
snd_compress           20480  1 snd_soc_core
snd_pcm_dmaengine      16384  1 snd_soc_core
gpio_ir_recv           16384  0
uinput                 20480  2
snd_bcm2835            32768  0
snd_pcm                98304  4 snd_soc_bcm2835_i2s,snd_soc_core,snd_pcm_dmaengine,snd_bcm2835
snd_timer              32768  1 snd_pcm
snd                    69632  5 snd_soc_core,snd_compress,snd_bcm2835,snd_pcm,snd_timer



Offline skippy

  • MLD-Tester
  • Expert Member
  • ******
  • Posts: 2099
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #1 on: April 28, 2018, 17:46:24 »
Hallo Poseidon,

ich nutze auf meinem RPi ebenfalls die 5.4 MLD, allerdings unstable. Was mir auffällt ist, dass bei dir in der Datei /boot/config.txt

Code: [Select]
dtoverlay=gpio-irgesetzt ist. Bei mir steht dort

Code: [Select]
dtoverlay=lirc-rpi
Entsprechend werden bei mir auch die Module

Code: [Select]
lirc_rpi               16384  2
lirc_dev               16384  1 lirc_rpi

geladen, was bei dir nicht der Fall ist.

Bei der Einrichtung der Fernbedienung wähle ich wie du "rpi on GPIO", die anderen Parameter lasse ich leer und kopiere die lircd.conf vom alten System auf das neue System.

Viele Grüße skippy
meine MLDs (show / hide)

Offline Poseidon

  • Newbie
  • *
  • Posts: 4
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #2 on: April 30, 2018, 01:14:49 »
Vielen Dank skippy,

habe auch die unstable ausprobiert und auch hier kein lirc-rpi. Konnte die Module lirc_rpi und lirc_dev einfach nicht laden.

Mit ein paar Umwegen, habe ich es aber geschafft den IR-Receiver einzurichten.

Nach folgender Anleitung habe ich unter /etc/rc_keymaps eine eigene FB Datei erstellt.
https://www.minidvblinux.de/wiki/mld/tutorials/fernbedienungen54serial

Dann habe ich noch ein Start-Skript unter init.d erstellt, welches nach VDR gestarted wird und mein keymap läd.
Code: [Select]
ir-keytable -s rc0 -c -p nec -w /etc/rc_keymaps/New_Remote
Grüße
Poseidon

Offline Frounts

  • Adv. Member
  • ***
  • Posts: 214
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #3 on: May 10, 2018, 17:59:02 »
Ich hab das für die Hauppauge-FB so gemacht:
Code: [Select]
dtoverlay=gpio-irerweitert zu:
Code: [Select]
dtoverlay=gpio-ir,rc-map-name=rc-hauppauge
Dann muss man die /etc/rc_maps.cfg anpassen
Code: [Select]
#ir-kbd-i2c rc-hauppauge /etc/rc_keymaps/rc-hauppauge
gpio_ir_recv rc-hauppauge /etc/rc_keymaps/rc-hauppaug

und in der /etc/rc_keymaps/rc-hauppauge die Tastencodes gemäß VDR-vorgabe anpassen.

Jetzt läuft alles, wie gehabt. :-)
« Last Edit: May 10, 2018, 20:10:50 by Frounts »
MLD-5.4 mit Sat-IP, NUC6CAYS, 2 GB Ram, Boot eMMC, Video HDD, Octopus Net mit MaxS8, 2x Raspberry Pi 2-Sat-IP Clients

Offline megalutschi

  • Newbie
  • *
  • Posts: 22
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #4 on: May 11, 2018, 11:05:23 »
Meine Fernbedienung geht seit der Neuinstallation auch nicht mehr. Vorher war noch Kernel 4.14 drauf, damit gings.

MLD 5.4 testing RPi3
in der config.txt steht:
Code: [Select]
dtoverlay=lirc-rpi
Code: [Select]
/boot/overlays/lirc-rpi-overlay.dtbist vorhanden.

Code: [Select]
lsmod | grep lirc
zeigt keine Ausgabe.

Es gibt aber ein Modul "gpio_ir_recv".

modprobe lirc_rpi
Code: [Select]
modprobe: module lirc_rpi not found in modules.dep
Fehlt das Modul lirc_rpi im Kernel?

Gruß
Viktor

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17723
    • View Profile
    • ClausMuus.de
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #5 on: May 18, 2018, 16:45:24 »
Hast Du mal ausprobiert, ob das Laden des gpio_ir_recv Modules (mit anschließendem "restart lirc") Besserung bring?
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline megalutschi

  • Newbie
  • *
  • Posts: 22
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #6 on: May 19, 2018, 08:40:05 »
Hi,

das Modul wird geladen, bringt aber leider nix. Lirc hab ich neu gestartet. Zum Test habe ich in der config.txt auch mal dtoverlay=gpio-ir eingetragen, reboot, das Modul gpio_ir_recv geladen, lirc restart. Bringt aber auch nix.

Edit: 5.4 unstable auf meinem anderen RPi3 habe ich jetzt auch updated. FB geht jetzt auch hier nicht mehr. Empfänger ist da aber das RemotePi Board https://www.msldigital.com/products/remotepi-board-for-pi-3
« Last Edit: May 19, 2018, 09:07:33 by megalutschi »

Offline megalutschi

  • Newbie
  • *
  • Posts: 22
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #7 on: May 22, 2018, 20:05:08 »
RPi 3 mit normalem TSOP IR Empfänger
5.4 testing, aktuelle Updates eingespielt

dtoverlay=gpio-ir

Code: [Select]
mldsz> ir-keytable
Found /sys/class/rc/rc0/ (/dev/input/event0) with:
Driver gpio_ir_recv, table rc-rc6-mce
Supported protocols: rc-5 rc-5-sz jvc sony nec sanyo mce_kbd rc-6 sharp xmp
Enabled protocols: rc-6
Name: gpio_ir_recv
bus: 25, vendor/product: 0001:0001, version: 0x0100
Repeat delay = 500 ms, repeat period = 125 ms


Hier fehlt aber auch "Lirc" bei Supported Protocols.
Mit meiner Logitech hab ich kurz Windows Media Center eingerichtet. Da gingen auf die schnelle zumindest die Richtungstasten (oben, unten, links, rechts). Weiter hab ich nicht getestet.

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17723
    • View Profile
    • ClausMuus.de
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #8 on: May 22, 2018, 22:16:56 »
Markus hat in unserem Wiki vor kurzem einen Artikel geschrieben, in dem beschrieben ist, wie der Empfänger mit dem neuen Treiber konfiguriert werden kann.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline rfehr

  • MLD-Developer
  • Expert Member
  • ******
  • Posts: 995
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #9 on: May 22, 2018, 22:31:05 »
1x OctopusNet mit 2x DVB-S2 u. 2x DVB-C
1x Zotac ITX-A Atom 330 als Client
1x RPI2 als Client
1x Cubietruck
1x BananaPi
1x Wetekplay
1x MCC 100
2x RPI3
1x https://www.zotac.com/at/product/mini_pcs/pi335

Offline megalutschi

  • Newbie
  • *
  • Posts: 22
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #10 on: May 23, 2018, 08:00:12 »
Gut,

bis zum 2. Schritt bin ich gekommen:

Schnittstelle rausfinden
Code: [Select]
mldsz> dmesg | grep tty
[    0.000269] console [tty0] enabled
[    8.297866] 3f201000.serial: ttyAMA0 at MMIO 0x3f201000 (irq = 81, base_baud = 0) is a PL011 rev2
Code: [Select]
mldsz> setserial /dev/ttyAMA0 uart none
mldsz> modprobe serial-ir
modprobe: module serial-ir not found in modules.dep

In dem Wiki Eintrag steht Lirc übrigens auch in den Supported Protocols. Hier nicht.

Offline MarMic

  • Administrator
  • Expert Member
  • ********
  • Posts: 4811
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #11 on: May 23, 2018, 08:17:28 »
dan fehlt wohl das modul im rpi3 packet - muss claus mal dazu nehmen

gruß

MarMic

edit:// so wie ich das sehe brauchst du gar kein lirc serial/serial-ir

lade doch mal einfach wie im wiki eintrag ALLE protokole und teste ob tasten kommen. (also den modprobe kram überspringen)
« Last Edit: May 23, 2018, 08:23:38 by MarMic »
SZVDR HD: Intel e5300@1,2ghz - Gigabyte GA-EP41-UD3L - 2GB ddr2 800 - Gainward G210 512mb - Silverstone LC16MR - DVBSky S952 - Astra 19,2 - MLD 5.4

WZVDR HD: Intel g1610@1,6ghz - Intel DH61BE - Scythe Big Shuriken 2 - 4GB ddr3 1333 - Asus GT610 1024mb - Chieftec Hi-Fi HM-02 - Tevii s480 - Astra 19,2 - MLD 5.4


Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 17723
    • View Profile
    • ClausMuus.de
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #12 on: May 23, 2018, 13:41:38 »
Du musst abweichend von der Anleitung den gpio_ir_recv treiber laden.
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline skippy

  • MLD-Tester
  • Expert Member
  • ******
  • Posts: 2099
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #13 on: June 19, 2018, 00:18:24 »
Hallo zusammen,

ich habe heute seit längerer Zeit mal wieder ein Update von meinem RPi durchgeführt. Mit dem heutigen Update funktioniert auch meine Fernbedienung wieder mit dem Parameter "rpi on Gpio" ohne weitere Anpassungen.

Viele Grüße skippy

meine MLDs (show / hide)

Offline skippy

  • MLD-Tester
  • Expert Member
  • ******
  • Posts: 2099
    • View Profile
MLD 5.4 RPI3 TSOP IR Emfänger
« Reply #14 on: June 21, 2018, 23:06:37 »
Hallo zusammen,

dass die Fernbedienung wieder funktionierte, lag daran, dass das Update wegen eines Problems beim Autobuild lediglich auf den Kernel 4.14 aktualisiert hat. Nach dem heutigen Update ist wieder der Kernel 4.16 installiert und die Fernbedienung funktioniert wieder nicht. Aufgefallen ist mir, dass beim Kernel 4.16 die Lirc-Kernel-Module nicht mit dabei sind.

Beim 4.14 Kernel sieht es so aus:
Code: [Select]
MLD-RPi3-Ambi> find / -name "lirc_*"
/etc/lirc/lirc_options.conf
/lib/modules/4.14.32.199.79/kernel/drivers/staging/media/lirc/lirc_rpi.ko
/lib/modules/4.14.32.199.79/kernel/drivers/media/rc/lirc_dev.ko
/proc/irq/169/lirc_rpi
/sys/devices/platform/lirc_rpi
/sys/firmware/devicetree/base/lirc_rpi
/sys/firmware/devicetree/base/soc/gpio@7e200000/lirc_pins
/sys/bus/platform/devices/lirc_rpi
/sys/bus/platform/drivers/lirc_rpi
/sys/bus/platform/drivers/lirc_rpi/lirc_rpi
/sys/module/lirc_rpi
/sys/module/lirc_dev
/sys/module/lirc_dev/holders/lirc_rpi

und hier das Ergebnis vom Kernel 4.16
Code: [Select]
MLD-RPi3-Ambi> find / -name "lirc_*"
/etc/lirc/lirc_options.conf
/sys/devices/platform/lirc_rpi
/sys/firmware/devicetree/base/lirc_rpi
/sys/firmware/devicetree/base/soc/gpio@7e200000/lirc_pins
/sys/bus/platform/devices/lirc_rpi

Könnt ihr mal schauen, ob ihr die Kernelmodule wieder zur Verfügung stellen könnt oder gibt es die beim 4.16er Kernel nicht mehr?

Viele Grüße skippy
meine MLDs (show / hide)

[1] 2 3 ... 5 >>> MLD-5.x / General / MLD 5.4 RPI3 TSOP IR Emfänger
 



Users Online Users Online

0 Members and 1 Guest are viewing this topic.